create payment

Body Params
string
required
length between 1 and 64

Supplied unique identifier for payment, maximum 64 characters containing only unreserved characters as defined in RFC3986. This identifier ensures payment uniqueness between integrator systems and Zepto.

string
required

A supplied unique ID

integer
required
1 to 1000000000

Amount in cents.

string
enum
required

Execution priority of payment. attended payments will be prioritised over unattended payments.

Allowed:
string | null

Free-form text for reconciliation purposes. Typically this field will be shown to both parties on bank statements, however, the debtor can also control this via the agreement. The reference given here takes precedence over the agreeement's reference when it has been set by the debtor.

string | null

Free-form text for the matching/reconciliation of a transaction. Similar to the reference field, this can be shown on both parties' bank statements. The difference is that this description can be a longer string and banks can show this seperately from the reference.

creditor
object

Who and where the payment is sent to. Optional in request if creditor details are present on the agreement.

string | null

A reference to aid the creditor in reconciling the payment

debtor
object

Optional debtor party name overrides. Allows providing custom debtor party names that differ from the agreement. Only available to integrators with extended KYC permissions. Contact Zepto for more information if you would like this feature enabled for your account.

boolean | null

This is a required field with agreements that have a payment_terms.type of balloon. If true, it indicates that this payment is the last payment for the agreement, and should be validated against the last_payment_date and last_payment_amount. No further payments can be made with the agreement once the last payment has been made. This field should be set to false for all other payments against a balloon agreement, and must be unset for payments on non-balloon agreements.

metadata
object | null

Use for your custom data. A place to store any miscellaneous information your system may need in regards to the record you are creating. This will be included in associated webhook payloads under the resource_metadata key. Nested values (i.e., objects and arrays) are not allowed. The maximum size of this parameter is 2kb.

sandbox
object

SANDBOX ONLY: Parameter that allows you to simulate the created payment going through certain scenarios to aid integrators while testing their control flows. Defaults to auto_settle if not given.

Headers
string
Defaults to 20250101

API version in YYYYMMDD format. Defaults to 20250101 (legacy) when omitted.

Responses

403

forbidden

500

Internal Server Error

Callbacks
Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json